Show / Hide Table of Contents

# Class OpenIddictValidationServerIntegrationConfiguration

Contains the methods required to ensure that the OpenIddict validation/server integration configuration is valid.

##### Inheritance

System.Object
OpenIddictValidationServerIntegrationConfiguration

##### Implements

IPostConfigureOptions<OpenIddictValidationOptions>

###### Namespace: OpenIddict.Validation.ServerIntegration

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationServerIntegrationConfiguration : IConfigureOptions<OpenIddictValidationOptions>, IPostConfigureOptions<OpenIddictValidationOptions>

### Constructors

#### OpenIddictValidationServerIntegrationConfiguration(IOptionsMonitor<OpenIddictServerOptions>)

Creates a new instance of the OpenIddictValidationServerIntegrationConfiguration class.

##### Declaration

    public OpenIddictValidationServerIntegrationConfiguration(IOptionsMonitor<OpenIddictServerOptions> options)

##### Parameters

Type | Name | Description
--- | --- | ---
IOptionsMonitor<OpenIddictServerOptions> | options | The OpenIddict server options.

### Methods

#### Configure(OpenIddictValidationOptions)

Populates the default OpenIddict validation/server integration options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void Configure(OpenIddictValidationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationOptions | options | The options instance to initialize.

#### PostConfigure(String, OpenIddictValidationOptions)

Populates the default OpenIddict validation/server integration options and ensures that the configuration is in a consistent and valid state.

##### Declaration

    public void PostConfigure(string name, OpenIddictValidationOptions options)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | The name of the options instance to configure, if applicable.
OpenIddictValidationOptions | options | The options instance to initialize.

### Implements

IPostConfigureOptions<>